package com.bocloud.cmp.model.hmc;

import java.util.List;

/**
 * HMC主机以太网适配器
 *
 * @author ShaolongTan
 */
@Deprecated
public class HmcHostEthernetAdapterModel {
    private Long id;
    private Long serverId;
    private String uuid;
    private Long adapterId;
    private String name;
    private List<HmcHeaPhysicalPortModel> hmcHeaPhysicalPorts;
    private List<HmcHeaLogicalPortModel> hmcHeaLogicalPorts;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getServerId() {
        return serverId;
    }

    public void setServerId(Long serverId) {
        this.serverId = serverId;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public Long getAdapterId() {
        return adapterId;
    }

    public void setAdapterId(Long adapterId) {
        this.adapterId = adapterId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<HmcHeaPhysicalPortModel> getHmcHeaPhysicalPorts() {
        return hmcHeaPhysicalPorts;
    }

    public void setHmcHeaPhysicalPorts(List<HmcHeaPhysicalPortModel> hmcHeaPhysicalPorts) {
        this.hmcHeaPhysicalPorts = hmcHeaPhysicalPorts;
    }

    public List<HmcHeaLogicalPortModel> getHmcHeaLogicalPorts() {
        return hmcHeaLogicalPorts;
    }

    public void setHmcHeaLogicalPorts(List<HmcHeaLogicalPortModel> hmcHeaLogicalPorts) {
        this.hmcHeaLogicalPorts = hmcHeaLogicalPorts;
    }
}
